Monday, August 30, 2010

Cannot find config.m4 + phpize +Resolved

Guys,

I got the same error messages and sorted out it. Here is the error that I got.

=====
root@server [/home/cpeasyapache/src/php-5.2.9/ext]# phpize
Cannot find config.m4.
Make sure that you run '/usr/local/bin/phpize' in the top level source directory of the module

root@server [/home/cpeasyapache/src/php-5.2.9/ext]#
=====

My intention was to phpize of mssql. I entered inside the mssql directory and the error vanished. Here it is :

=====
root@server [/home/cpeasyapache/src/php-5.2.9/ext/mssql]# phpize
Configuring for:
PHP Api Version: 20041225
Zend Module Api No: 20060613
Zend Extension Api No: 220060519
root@server [/home/cpeasyapache/src/php-5.2.9/ext/mssql]#
=====

That's it try :)

7 comments:

  1. we have install apc :
    we have following step:
    yum install php-pear php-devel httpd-devel

    facing following error:

    httpd-devel-2.2.3-43.el5.centos.3.i386 from updates has depsolving problems
    --> Missing Dependency: httpd = 2.2.3-43.el5.centos.3 is needed by package httpd-devel-2.2.3-43.el5.centos.3.i386 (updates)
    Error: Missing Dependency: httpd = 2.2.3-43.el5.centos.3 is needed by package httpd-devel-2.2.3-43.el5.centos.3.i386 (updates)
    You could try using --skip-broken to work around the problem
    You could try running: package-cleanup --problems
    package-cleanup --dupes
    rpm -Va --nofiles --nodigest
    The program package-cleanup is found in the yum-utils package

    ReplyDelete
  2. Thanks for this post. It helped me resolve the same issue on my system.

    ReplyDelete
  3. Hi ensys,

    Use the following command to resolve the dependencies error.

    ---------
    # yum install yum-utils
    # package-cleanup --dupes
    # package-cleanup --cleandupes
    ---------

    Then execute :

    ---------
    # yum clean all
    #yum -y install php-pear php-devel httpd-devel
    ---------

    Let me know the result.

    ReplyDelete
  4. Simply great, it works for me :)

    ReplyDelete
  5. Hi,

    I tried all the above commands still it says

    "Cannot find config.m4.
    Make sure that you run '/usr/bin/phpize' in the top level source directory of the module"

    Please suggest.

    Thank You

    ReplyDelete
  6. hi
    i am getting the following error on installing the SCA_SDO
    **********************************************************************
    **********************************************************************

    downloading SCA_SDO-1.2.4.tgz ...
    Starting to download SCA_SDO-1.2.4.tgz (576,531 bytes)
    ....................................................................................................................done: 576,531 bytes
    194 source files, building
    running: phpize
    Cannot find config.m4.
    Make sure that you run '/usr/local/bin/phpize' in the top level source directory of the module

    ERROR: `phpize' failed

    **********************************************************************
    **********************************************************************

    can anyone help me to solve the issue please, thankyou

    ReplyDelete